petsc-3.4.2 2013-07-02

# PCApply

Applies the preconditioner to a vector.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCApply(PC pc,Vec x,Vec y)

Collective on PC and Vec

### Input Parameters

| pc | - the preconditioner context
| x | - input vector

### Output Parameter

y -output vector

### Keywords

PC, apply

### See Also

PCApplyTranspose(), PCApplyBAorAB()

Level:developer
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex21f.F.html